Balance
PUT
/balances/{balance_id}/limitsSet Balance Limits
Set per-balance spending limits. Revision recorded on balance_limits.
Request
Example
curl -X PUT 'https://api.paycose.com/api/v1/app1/platform/wallet/balances/{{balance_id}}/limits' \
-H 'X-Session-Token: {{session_token}}' \
-H 'X-Country: {{country}}' \
-H 'Content-Type: application/json' \
-H 'X-Test-Mode: {{x_test_mode}}' \
-d '{
"max_balance": "",
"max_daily_debit": "",
"max_daily_credit": "",
"max_per_transaction": "",
"reason": "<string>"
}'Headers
| Name | Value | Description |
|---|---|---|
| X-Session-Token | {{session_token}} | |
| X-Country | {{country}} | |
| Content-Type | application/json | |
| X-Test-Mode | {{x_test_mode}} | true=wallet_test, false=wallet_live (default). |
Body
| Name | Type | Value |
|---|---|---|
| max_balance | string | |
| max_daily_debit | string | |
| max_daily_credit | string | |
| max_per_transaction | string | |
| reason | string | <string> |
{
"max_balance": "",
"max_daily_debit": "",
"max_daily_credit": "",
"max_per_transaction": "",
"reason": "<string>"
}Responses
400400 Bad Request
Headers
| Name | Value |
|---|---|
| Content-Type | application/json |
Body
{
"object": "error",
"code": "<string>",
"key": "<string>",
"i18n_key": "<string>",
"message": "<string>",
"request_id": "<string>"
}